module VARIAVEIS

  implicit real *8 (a-h,o-z)

  integer :: nto ! número total de elementos = nel + 5

  integer :: nto_a ! valor anterior de nto; usado para
                   ! definir se é ou não necessário
                   ! realocar memória

  integer :: nlx_a ! valor anterior de nlx; usado para
                   ! definir se é ou não necessário
                   ! realocar memória

  integer :: nlx_y ! valor anterior de nly; usado para
                   ! definir se é ou não necessário
                   ! realocar memória

  integer :: nlz_a ! valor anterior de nlz; usado para
                   ! definir se é ou não necessário
                   ! realocar memória

  real*8,dimension(:),allocatable :: rkeqp, rhoeqp, ceqp, qgeqp, &
                                     atc

  integer,dimension(:),allocatable :: ifhp, itypel

end module variaveis